%define pypi_name mongomock-motor
%define mod_name mongomock_motor

%def_with check

Name:    python3-module-%pypi_name
Version: 0.0.35
Release: alt1

Summary: Library for mocking AsyncIOMotorClient built on top of mongomock
License: MIT
Group:   Development/Python3
URL:     https://github.com/michaelkryukov/mongomock_motor

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools python3-module-wheel
BuildRequires: python3-module-poetry

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-bson
BuildRequires: python3-module-pymongo
BuildRequires: python3-module-marshmallow
BuildRequires: python3-module-mongomock
BuildRequires: python3-module-anyio
BuildRequires: python3-module-beanie
BuildRequires: python3-module-mongo-thingy
BuildRequires: python3-module-umongo
%endif

BuildArch: noarch

Source: %pypi_name-%version.tar

%description
%summary.

%prep
%setup -n %pypi_name-%version

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -k 'not test_bulk_write'

%files
%doc *.md
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%mod_name-0.0.0.dist-info/

%changelog
* Mon Apr 28 2025 Alexander Burmatov <thatman@altlinux.org> 0.0.35-alt1
- Initial build for Sisyphus.
